Index: SPECS/vnc.spec
===================================================================
--- SPECS.orig/vnc.spec
+++ SPECS/vnc.spec
@@ -1,11 +1,16 @@
 %define xorg_version 1.1.1
 %define vnc_version 4_1_2
 %define java_vnc_version 4_1
+%ifnarch %{arm}
+%define build_java 1
+%else
+%define build_java 0
+%endif
 
 Summary:   A remote display system.
 Name:      vnc
 Version:   4.1.2
-Release:   9%{?dist}
+Release:   9.fa1%{?dist}
 URL:       http://www.realvnc.com
 Source0:   http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
 Source1:   http://www.realvnc.com/dist/vnc-%{java_vnc_version}-javasrc.tar.gz
@@ -48,7 +53,9 @@ BuildRoot: %{_tmppath}/%{name}-%{version
 BuildPrereq: /usr/bin/perl tcp_wrappers
 BuildRequires: zlib-devel libjpeg-devel
 BuildRequires: desktop-file-utils >= 0.2.92
+%if %{build_java}
 BuildRequires: gcc-java
+%endif
 BuildRequires: autoconf, autoconf213, automake, libtool, flex, bison, pkgconfig, patchutils
 BuildRequires: expat-devel, freetype-devel
 BuildRequires: libX11-devel, xorg-x11-xtrans-devel, libXau-devel
@@ -57,7 +64,7 @@ BuildRequires: xorg-x11-proto-devel, lib
 BuildRequires: libXtst-devel, libfontenc-devel, xorg-x11-util-macros
 BuildRequires: libXt-devel
 
-%ifarch %{ix86} x86_64 ppc ia64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ppc ia64 alpha sparc sparc64 %{arm}
 %define with_glx        1
 BuildRequires: mesa-libGL-devel >= 6.5.1, mesa-source >= 6.5.1, libdrm-devel
 %endif
@@ -138,10 +145,13 @@ cd unix
 autoconf-2.13 # For use-fb patch
 %configure --with-installed-zlib --with-fb
 make
+%if %{build_java}
 cd ../vnc-%{java_vnc_version}-javasrc/java
 make JAVAC="gcj -C" JAR=fastjar
+cd ..
+%endif
 
-cd ../../unix/xorg-server-*
+cd ../unix/xorg-server-*
 aclocal --force ; automake --add-missing; autoconf
 %configure --enable-xorg \
         --disable-dependency-tracking \
@@ -174,8 +184,10 @@ mkdir -p $bin $man $man/man1 $ext
 ./vncinstall $bin $man $ext
 chmod u+w $bin/* $ext/* || :
 
+%if %{build_java}
 mkdir -p %{buildroot}%{_datadir}/vnc/classes
 cp -a ../vnc-%{java_vnc_version}-javasrc/java/{index.vnc,logo150x150.gif,vncviewer.jar} %{buildroot}%{_datadir}/vnc/classes
+%endif
 
 mkdir -p %{buildroot}/etc/rc.d/init.d
 install -m755 %{SOURCE3} %{buildroot}/etc/rc.d/init.d/vncserver
@@ -274,7 +286,9 @@ fi
 %{_bindir}/vncconfig
 %{_bindir}/vncserver
 %{_bindir}/x0vncserver
+%if %{build_java}
 %{_datadir}/vnc
+%endif
 %{_mandir}/man1/Xvnc.1*
 %{_mandir}/man1/vncpasswd.1*
 %{_mandir}/man1/vncconfig.1*
